Package Details: discord-rpc-api 3.3.0-1

Git Clone URL: https://aur.archlinux.org/discord-rpc-api.git (read-only)
Package Base: discord-rpc-api
Description: Libraries for Discord Rich Presence
Upstream URL: https://github.com/discordapp/discord-rpc
Licenses: MIT
Submitter: vicr123
Maintainer: vicr123
Last Packager: vicr123
Votes: 1
Popularity: 0.820203
First Submitted: 2017-11-30 03:34
Last Updated: 2018-06-06 02:11

Latest Comments

curtisbelt commented on 2018-06-06 17:57

Hello, getting an error when upgrading from 3.3.0-0 to 3.3.0-1:

make: *** No rule to make target 'install'. Stop. ==> ERROR: A failure occurred in package().

Full log ---

Building discord-rpc-api... Cloning into 'discord-rpc-api'... remote: Counting objects: 12, done. <br> remote: Compressing objects: 100% (12/12), done. <br> remote: Total 12 (delta 4), reused 5 (delta 0) <br> Unpacking objects: 100% (12/12), done. ==> Making package: discord-rpc-api 3.3.0-1 (Wed 06 Jun 2018 12:51:58 PM CDT) ==> Checking runtime dependencies... ==> Checking buildtime dependencies... ==> Retrieving sources... -> Downloading discord-rpc-api-3.3.0.tar.gz... % Total % Received % Xferd Average Speed Time Time Time Current Dload Upload Total Spent Left Speed 100 130 0 130 0 0 582 0 --:--:-- --:--:-- --:--:-- 580 100 2056k 100 2056k 0 0 3290k 0 --:--:-- --:--:-- --:--:-- 3290k ==> Validating source files with md5sums... discord-rpc-api-3.3.0.tar.gz ... Passed ==> Validating source files with sha256sums... discord-rpc-api-3.3.0.tar.gz ... Passed ==> Extracting sources... -> Extracting discord-rpc-api-3.3.0.tar.gz with bsdtar ==> Starting build()... ==> Entering fakeroot environment... ==> Starting package()... make: *** No rule to make target 'install'. Stop. ==> ERROR: A failure occurred in package(). Aborting...

E5ten commented on 2018-05-12 14:02

Sorry for this but those two sed lines actually aren't necessary anymore, they fixed the issue on their end very recently.

vicr123 commented on 2018-05-12 06:21

Incorporated the changes you requested. There's a discord-rpc-api-git package if you want to use the Git version now :)

E5ten commented on 2018-05-10 15:23

Currently fails to compile with GCC 8, adding sed -i '1952s/.*/std::memcpy(reinterpret_cast<void *>(m), reinterpret_cast<void *>(members), count * sizeof(Member));/' ../thirdparty/rapidjson-1.1.0/include/rapidjson/document.h sed -i '1939s/.*/std::memcpy(reinterpret_cast<void *>(e), reinterpret_cast<void *>(values), count * sizeof(GenericValue));/' ../thirdparty/rapidjson-1.1.0/include/rapidjson/document.hbetween the two cmake steps should fix the issue. Also, cmake needs to be added as a makedepend, and this is very out of date the current release is 3.3.0. EDIT: I see that this is not the case because the package is a -git package, it should be renamed accordingly. (discord-rpc-git)